Index: /code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- /code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10662)
+++ /code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10663)
@@ -35,20 +35,139 @@
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="0,-200,0" lookat="0,0,-50" spawnclass=SpaceShip pawndesign=spaceshipassff2 />
     
-	<SpaceShip position="500,500,-200" lookat="-500,500,-200" team=0>
-		<templates>
-			<Template link=spaceshipTransporter />
-		</templates>
-		<controller>
-		    <WaypointController accuracy=10 team=0>
-		        <waypoints>
-		            <Model mesh="cube.mesh" scale=8 position="0,700,-200" />
-                    <Model mesh="cube.mesh" scale=8 position="500,500,-200" />
-                    <Model mesh="cube.mesh" scale=8 position="-500,500,-200" />
-		        </waypoints>
-		    </WaypointController>
-		</controller>
-	</SpaceShip>
+    <!--QUEST DEFINITIONS-->
+
+    <GlobalQuest id="quest1">
+        <QuestDescription title="Reach the Station!" description="" failMessage="" completeMessage="" />
+        <hints>
+           <QuestHint id="quest1hint1" />
+        </hints>
+        <subquests>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest2">
+        <QuestDescription title="Prepare to fight the Wave" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+          <GlobalQuest id="quest2.1">
+              <QuestDescription title="Get a better Spaceship" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+          <GlobalQuest id="quest2.2">
+              <QuestDescription title="Get some Pickups" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+          <GlobalQuest id="quest2.3">
+              <QuestDescription title="Meet your Unit" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest3">
+        <QuestDescription title="Fight the first Wave" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest4">
+        <QuestDescription title="Prepare for the next Wave" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+          <GlobalQuest id="quest4.1">
+              <QuestDescription title="Get to the Defense Station" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+          <GlobalQuest id="quest4.2">
+              <QuestDescription title="Find the turret" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest5">
+        <QuestDescription title="Fight the Hord!" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest6">
+        <QuestDescription title="Get back to the Transporter" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+            <GlobalQuest id="quest6.1">
+              <QuestDescription title="Collect the local Pickups" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+          <GlobalQuest id="quest6.2">
+              <QuestDescription title="Use Portal to the Transporter" description="" failMessage="" completeMessage="" />
+          </GlobalQuest>
+        </subquests>
+    </GlobalQuest>
+
+    <GlobalQuest id="quest7">
+        <QuestDescription title="Fight the final Wave" description="" failMessage="" completeMessage="" />
+        <hints>
+        </hints>
+        <subquests>
+        </subquests>
+    </GlobalQuest>
+
+    <!--EVENTS-->
+
+
+    <EventMultiTrigger name=spawntrigger>
+      <events>
+          <trigger>
+              <SpawnPoint team=0 position="0,-200,0" lookat="0,0,-50" spawnclass=SpaceShip pawndesign=spaceshipassff2 />
+          </trigger>
+      </events>
+    </EventMultiTrigger>
+
+
+    <QuestEffectBeacon times=1>
+        <effects>
+            <AddQuest questId="quest1" />
+            <AddQuest questId="quest2" />
+            <AddQuest questId="quest2.1" />
+            <AddQuest questId="quest2.2" />
+            <AddQuest questId="quest2.3" />
+            <AddQuest questId="quest3" />
+            <AddQuest questId="quest4" />
+            <AddQuest questId="quest4.1" />
+            <AddQuest questId="quest4.2" />
+            <AddQuest questId="quest5" />
+            <AddQuest questId="quest6" />
+            <AddQuest questId="quest6.1" />
+            <AddQuest questId="quest6.2" />
+            <AddQuest questId="quest7" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event=spawntrigger />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <!--ELEMENTS -->
+
+  	<SpaceShip position="500,500,-200" lookat="-500,500,-200" team=0>
+  		<templates>
+  			<Template link=spaceshipTransporter />
+  		</templates>
+  		<controller>
+  		    <WaypointController accuracy=10>
+  		        <waypoints>
+  		            <Model mesh="cube.mesh" scale=8 position="0,700,-200" />
+                      <Model mesh="cube.mesh" scale=8 position="500,500,-200" />
+                      <Model mesh="cube.mesh" scale=8 position="-500,500,-200" />
+  		        </waypoints>
+  		    </WaypointController>
+  		</controller>
+  	</SpaceShip>
+
+
 
   </Scene>
